classification
Title: imaplib is not IPv6-capable
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pitrou Nosy List: dmorr, pitrou, rhettinger
Priority: normal Keywords: patch

Created on 2007-12-18 21:34 by dmorr, last changed 2009-05-15 11:50 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
imaplib_ipv6.patch dmorr, 2007-12-18 21:34
imaplib_ipv6.patch dmorr, 2007-12-19 20:37
Messages (4)
msg58775 - (view) Author: Derek Morr (dmorr) Date: 2007-12-18 21:34
imaplib.IMAP4 and IMAP4_SSL do not use IPv6-capable name resolution
APIs. Attached is a patch (lifted from httplib) that enables IPv6 in
their open() methods.
msg58827 - (view) Author: Derek Morr (dmorr) Date: 2007-12-19 20:37
I think it makes more sense to use socket.create_connection(), which
performs the getaddrinfo call. It makes the patch against imaplib more
compact. I've attached a new patch that uses create_connection()
msg87778 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-05-14 23:15
AP, this is basically the same patch as the one for nntplib.  Do you
want to apply it also?
msg87810 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-05-15 11:50
Committed in r72662, thanks!
History
Date User Action Args
2009-05-15 11:50:57pitrousetstatus: open -> closed
resolution: fixed
messages: + msg87810
2009-05-14 23:15:40rhettingersetassignee: pitrou

messages: + msg87778
nosy: + rhettinger
2009-05-14 22:44:56pitrousetnosy: + pitrou
versions: + Python 3.1, Python 2.7

stage: patch review
2007-12-19 20:37:27dmorrsetfiles: + imaplib_ipv6.patch
messages: + msg58827
2007-12-18 21:48:15christian.heimessetpriority: normal
keywords: + patch
type: enhancement
versions: + Python 2.6, - Python 2.5
2007-12-18 21:34:58dmorrcreate